身份要求
管理员. 会话/管理写操作不在公共 Playground 执行。
接口
curl --request POST 'https://api.oneaster.ai/core/v1/admin/channels/1/discover' \ --header 'Authorization: Bearer '"$ONEASTER_SESSION_TOKEN" \ --header 'Content-Type: application/json' \ --data "$REQUEST_BODY_JSON"
参数
- id (path, 必填): {"type":"string","pattern":"^[0-9]+$"}
请求 JSON Schema
{
"type": "object",
"additionalProperties": false,
"properties": {
"expected_version": {
"type": "integer",
"minimum": 0
},
"credential_version": {
"type": "integer",
"minimum": 0
}
},
"required": [
"expected_version",
"credential_version"
]
}
响应
200
只请求模型元数据;不执行收费生成
{
"application/json": {
"schema": {
"type": "object",
"additionalProperties": false,
"properties": {
"success": {
"const": true
},
"data": {
"type": "object",
"additionalProperties": false,
"properties": {
"ok": {
"type": "boolean"
},
"model_ids": {
"type": "array",
"items": {
"type": "string"
}
},
"http_status": {
"type": "integer",
"minimum": 0
},
"duration_ms": {
"type": "integer",
"minimum": 0
},
"error_code": {
"type": "string"
},
"disabled": {
"type": "boolean"
}
},
"required": [
"ok",
"model_ids",
"http_status",
"duration_ms",
"error_code",
"disabled"
]
}
},
"required": [
"success",
"data"
]
}
}
}
default
错误代码见 core-api.md;供应商/数据库错误已隐藏。
{
"application/json": {
"schema": {
"type": "object",
"additionalProperties": false,
"properties": {
"success": {
"const": false
},
"error": {
"type": "object",
"additionalProperties": false,
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"type": {
"const": "oneaster_error"
}
},
"required": [
"code",
"message",
"type"
]
},
"data": {
"type": "null"
}
},
"required": [
"success",
"error",
"data"
]
}
}
}